package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.UserQueryParams;
import com.qmth.qrzk.repository.user.model.Role;


/**
 * 角色mapper对应src/main/resources/sqlmap下的role.xml配置文件
 * @author 钟辉
 *
 */
@Component("roleMapper")
public interface RoleMapper extends CommonMapper{

	public int[] getRoleIdsByUserId(int userId);
	
	public List<Role> getRoleNamesByRoleIds(List<Integer> ls);
	
	public List<Role> getRolesByUserId(int userId);
	
	public List<Role> getAllRoles(UserQueryParams params);
	
	public int getAllRolesCount(UserQueryParams params);
}
